/*
 * TM1637.h
 *
 *  Created on: Oct 25, 2023
 *      Author: martin
 */

#ifndef TM1637_H_
#define TM1637_H_

#define PORTB0_bit PTBD_PTBD2
#define PORTB1_bit PTBD_PTBD3

#define DISABLE_ZEROS 1
#define ENABLE_ZEROS 0

void delay_5us(void);
void delay_3us(void);
void TM1637_Init(void);
void TM1637_DisplayDecimal(int number, short int displaySeparator, short int show0);
void TM1637_SetBrightness(char brightness);
void TM1637_Start(void);
void TM1637_Stop(void);
void TM1637_ReadResult(void);
void TM1637_WriteByte(unsigned char b);
void delay_3us(void);
void delay_5us(void);

#endif /* TM1637_H_ */
